$('#savebtn').live('click', function (e) {
    var name = $('#unitName').val();
    var oldname = $('#oldname').val();
    name = name.trim();
    if (name == '') {
        $('#nameError').show();
        $('#nameError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 109px;'>*ادخل اسم الوحدة </p>");
    } else if (name != oldname) {
        $.post('salesreportajax.php?do=checkunit', {name: name}, function (data) {
            if (data == -1) {
                $('#nameError').show();
                $('#nameError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 172px;'>*   تم ادخال هذا الاسم من قبل</p>");
            } else if (data == 0) {
                $('#nameError').hide();
                $('#myform').submit();
                $('#savebtn').attr("disabled", true);
            }
        });
    } else if (name == oldname) {
        $('#nameError').hide();
        $('#myform').submit();
        $('#savebtn').attr("disabled", true);
    }
});